function [img_filenames] = GetImgFileNames(result_dir)

  filenames = dir([result_dir '*.png']);
  filenames = {filenames.name};
  
  img_filenames_regexp = '.{30}__(.*\.png)';
  img_filenames = regexp(filenames, img_filenames_regexp, 'tokens');
  img_filenames = CollapseCells(img_filenames);
  img_filenames = unique(img_filenames);
end