function [] = Preprocess_2_RemoveInstructions(base_dir)
%Preprocess_2_RemoveInstructions Remove annotations of instructions image

  input_dir = [base_dir 'processed1/'];
  output_dir = [base_dir 'processed2/'];

  % We iterate all assignment info files
  filenames = dir([input_dir '*.png']);
  filenames = {filenames.name};
  
  for ii = 1:numel(filenames)
    current_file = filenames{ii};
    
    if isempty(strfind(current_file, 'instructions'))
      copyfile([input_dir current_file], output_dir);
    end
  end
end

